org.eclipse.emf.cdo.spi.server

## Class StoreAccessorPool

- java.lang.Object
- - org.eclipse.emf.cdo.spi.server.StoreAccessorPool

-     public class StoreAccessorPool
      extends Object

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_CAPACITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StoreAccessorPool(IStore store, Object context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addStoreAccessor(StoreAccessorBase storeAccessor)` Passivates the given `store accessor` and adds it to this pool if the pool size is smaller than the `capacity`, or disposes of the store accessor otherwise.
    `void` | `dispose()` Deactivates all contained `store accessors` and clears this pool.
    `protected void` | `disposeStoreAccessor(StoreAccessorBase accessor)`
    `int` | `getCapacity()`
    `Object` | `getContext()`
    `IStore` | `getStore()`
    `StoreAccessorBase` | `removeStoreAccessor(Object context)` Returns a `store accessor` from this pool if one is available, or `null` otherwise.
    `protected void` | `retainStoreAccessors(int targetSize)`
    `void` | `setCapacity(int capacity)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_CAPACITY

          public static final int DEFAULT_CAPACITY

      Since:
        4.2
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StoreAccessorPool

          public StoreAccessorPool(IStore store,
                                   Object context)

  - ### Method Detail

    - #### getStore

          public IStore getStore()

    - #### getContext

          public Object getContext()

    - #### getCapacity

          public int getCapacity()

      Since:
        4.2

    - #### setCapacity

          public void setCapacity(int capacity)

      Since:
        4.2

    - #### addStoreAccessor

          public void addStoreAccessor(StoreAccessorBase storeAccessor)

      Passivates the given `store accessor` and adds it to this pool if the pool size is smaller than the `capacity`, or disposes of the store accessor otherwise.
      Since:
        4.0

    - #### removeStoreAccessor

          public StoreAccessorBase removeStoreAccessor(Object context)

      Returns a `store accessor` from this pool if one is available, or `null` otherwise. If a store accessor is available it is removed from this pool and its unpassivate method is called.
      Since:
        4.0

    - #### dispose

          public void dispose()

      Deactivates all contained `store accessors` and clears this pool.

    - #### retainStoreAccessors

          protected void retainStoreAccessors(int targetSize)

      Since:
        4.2

    - #### disposeStoreAccessor

          protected void disposeStoreAccessor(StoreAccessorBase accessor)

      Since:
        4.2

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html